Subject: "Worms Eat My Garbage"

From: [email-masked]
Date: Wed, 04 Jan 95 20:02:07 EST

IL>Hi:  Does anyone know of a source for the book "Worms Eat My Garbage" by
IL>Mary Appelhof?  My bookstore tells me it was published in 1982, is out of
IL>print, and can't be ordered.  I'm not prepared to accept that.  Thanks in
IL>advance for any pointers.

IL>Dick Lucas   [email-masked]

Smith & Hawken carries it in their stores (not their catalog,though).
You could also contact Flower Press, 10332 Shaver Road, Kalamazzo,
Michigan, 49002.  My copy (just purchased) says 1982 for the publication
date, though it was obviously printed recently.:).
---
 þ OLX 2.1 TD þ ÿ